Package org.linphone.core

# Interface EventListener

All Known Implementing Classes:
  `EventListenerStub`

public interface EventListener
An object to handle the callbacks for handling the LinphoneEvent operations.

## Method Summary

Modifier and Type
Method
Description
`void`
`onNotifyReceived(Event event, Content content)`
Gets the notify received callback.
`void`
`onNotifyResponse(Event event)`
Gets the notify response callback.
`void`
`onPublishReceived(Event event, Content content)`
Gets the publish received callback.
`void`
`onPublishStateChanged(Event event, PublishState state)`
Gets the publish state changed callback.
`void`
`onSubscribeReceived(Event event)`
Gets the subscribe received callback.
`void`
`onSubscribeStateChanged(Event event, SubscriptionState state)`
Gets the subscribe state changed callback.

## Method Details

### onNotifyResponse

void onNotifyResponse(Event event)
Gets the notify response callback.

### onNotifyReceived

void onNotifyReceived(Event event, Content content)
Gets the notify received callback.

### onSubscribeReceived

void onSubscribeReceived(Event event)
Gets the subscribe received callback.

### onSubscribeStateChanged

void onSubscribeStateChanged(Event event, SubscriptionState state)
Gets the subscribe state changed callback.

### onPublishReceived

void onPublishReceived(Event event, Content content)
Gets the publish received callback.

### onPublishStateChanged

void onPublishStateChanged(Event event, PublishState state)
Gets the publish state changed callback.